# Uses of Class
javax.swing.plaf.SpinnerUI

Packages that use SpinnerUI
Package
Description
javax.swing
Provides a set of "lightweight" (all-Java language) components that, to the maximum degree possible, work the same on all platforms.
javax.swing.plaf.basic
Provides user interface objects built according to the Basic look and feel.
javax.swing.plaf.multi
Provides user interface objects that combine two or more look and feels.
javax.swing.plaf.synth
Synth is a skinnable look and feel in which all painting is delegated.

## Uses of SpinnerUI in javax.swing

Methods in javax.swing that return SpinnerUI
Modifier and Type
Method
Description
`SpinnerUI`
JSpinner.`getUI()`
Returns the look and feel (L&F) object that renders this component.
Methods in javax.swing with parameters of type SpinnerUI
Modifier and Type
Method
Description
`void`
JSpinner.`setUI(SpinnerUI ui)`
Sets the look and feel (L&F) object that renders this component.

## Uses of SpinnerUI in javax.swing.plaf.basic

Subclasses of SpinnerUI in javax.swing.plaf.basic
Modifier and Type
Class
Description
`class`
`BasicSpinnerUI`
The default Spinner UI delegate.

## Uses of SpinnerUI in javax.swing.plaf.multi

Subclasses of SpinnerUI in javax.swing.plaf.multi
Modifier and Type
Class
Description
`class`
`MultiSpinnerUI`
A multiplexing UI used to combine `SpinnerUI`s.

## Uses of SpinnerUI in javax.swing.plaf.synth

Subclasses of SpinnerUI in javax.swing.plaf.synth
Modifier and Type
Class
Description
`class`
`SynthSpinnerUI`
Provides the Synth L&F UI delegate for `JSpinner`.